Cards, prop trading & accounting
Get Quick Books Sheet Config
Returns the client's connection sheet settings and per-invoice-type spreadsheet mappings.
Required scope: integrations:read
curl --request GET \
--url 'https://api.toku.com/platform/get-quick-books-sheet-config?clientId=%3CclientId%3E' \
--header 'Authorization: Bearer <token>'{
"clientId": "string",
"connection": {
"id": "string",
"status": "PENDING_PRECONDITION",
"dryRun": true,
"multiCurrencyEnabled": true,
"journalEntryGroupingMode": "PER_CURRENCY",
"eorPeoSheetUrl": "string",
"contractorSheetUrl": "string"
},
"spreadsheetMappings": {
"EOR_PEO": {
"id": "string",
"connectionId": "string",
"invoiceType": "EOR_PEO",
"columnMappings": {},
"sheetTabName": "string",
"headerRowIndex": 0,
"dataStartRowIndex": 0,
"employeeNameColumn": "string",
"countryColumn": "string",
"currencyColumn": "string",
"totalGrossColumn": "string",
"payPeriodColumn": "string",
"postingAmountSource": "PAYROLL_ONLY",
"payrollUsdColumn": "string",
"invoiceUsdColumn": "string",
"socialSecurityCategoryByCountry": {},
"jeLineGranularity": "CATEGORY",
"createdAt": "string",
"updatedAt": "string"
},
"CONTRACTOR": {
"id": "string",
"connectionId": "string",
"invoiceType": "EOR_PEO",
"columnMappings": {},
"sheetTabName": "string",
"headerRowIndex": 0,
"dataStartRowIndex": 0,
"employeeNameColumn": "string",
"countryColumn": "string",
"currencyColumn": "string",
"totalGrossColumn": "string",
"payPeriodColumn": "string",
"postingAmountSource": "PAYROLL_ONLY",
"payrollUsdColumn": "string",
"invoiceUsdColumn": "string",
"socialSecurityCategoryByCountry": {},
"jeLineGranularity": "CATEGORY",
"createdAt": "string",
"updatedAt": "string"
},
"W2_YEAR_END": {
"id": "string",
"connectionId": "string",
"invoiceType": "EOR_PEO",
"columnMappings": {},
"sheetTabName": "string",
"headerRowIndex": 0,
"dataStartRowIndex": 0,
"employeeNameColumn": "string",
"countryColumn": "string",
"currencyColumn": "string",
"totalGrossColumn": "string",
"payPeriodColumn": "string",
"postingAmountSource": "PAYROLL_ONLY",
"payrollUsdColumn": "string",
"invoiceUsdColumn": "string",
"socialSecurityCategoryByCountry": {},
"jeLineGranularity": "CATEGORY",
"createdAt": "string",
"updatedAt": "string"
},
"HRIS_PAYROLL": {
"id": "string",
"connectionId": "string",
"invoiceType": "EOR_PEO",
"columnMappings": {},
"sheetTabName": "string",
"headerRowIndex": 0,
"dataStartRowIndex": 0,
"employeeNameColumn": "string",
"countryColumn": "string",
"currencyColumn": "string",
"totalGrossColumn": "string",
"payPeriodColumn": "string",
"postingAmountSource": "PAYROLL_ONLY",
"payrollUsdColumn": "string",
"invoiceUsdColumn": "string",
"socialSecurityCategoryByCountry": {},
"jeLineGranularity": "CATEGORY",
"createdAt": "string",
"updatedAt": "string"
}
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
clientIdstring<uuid>requiredResponse
200Successful response
clientIdstringrequiredconnectionobject | nullrequiredShow child attributes
idstringrequiredstatusstringrequiredAvailable options: PENDING_PRECONDITION, ACTIVE, EXPIRED, DISCONNECTED
dryRunbooleanrequiredmultiCurrencyEnabledbooleanrequiredjournalEntryGroupingModestringrequiredAvailable options: PER_CURRENCY, PER_COUNTRY, COMBINED
eorPeoSheetUrlstring | nullrequiredcontractorSheetUrlstring | nullrequiredspreadsheetMappingsobjectrequiredShow child attributes
EOR_PEOobject | nullShow child attributes
idstringrequiredconnectionIdstringrequiredinvoiceTypestringrequiredAvailable options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL
columnMappingsobjectrequiredsheetTabNamestring | nullrequiredheaderRowIndexintegerrequireddataStartRowIndexintegerrequiredemployeeNameColumnstring | nullrequiredcountryColumnstringrequiredcurrencyColumnstringrequiredtotalGrossColumnstringrequiredpayPeriodColumnstringrequiredpostingAmountSourcestringrequiredAvailable options: PAYROLL_ONLY, PAYROLL_PLUS_FEES
payrollUsdColumnstringrequiredinvoiceUsdColumnstringrequiredsocialSecurityCategoryByCountryobject | nullrequiredjeLineGranularitystringrequiredAvailable options: CATEGORY, PER_EMPLOYEE
createdAtstringrequiredupdatedAtstringrequiredCONTRACTORobject | nullShow child attributes
idstringrequiredconnectionIdstringrequiredinvoiceTypestringrequiredAvailable options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL
columnMappingsobjectrequiredsheetTabNamestring | nullrequiredheaderRowIndexintegerrequireddataStartRowIndexintegerrequiredemployeeNameColumnstring | nullrequiredcountryColumnstringrequiredcurrencyColumnstringrequiredtotalGrossColumnstringrequiredpayPeriodColumnstringrequiredpostingAmountSourcestringrequiredAvailable options: PAYROLL_ONLY, PAYROLL_PLUS_FEES
payrollUsdColumnstringrequiredinvoiceUsdColumnstringrequiredsocialSecurityCategoryByCountryobject | nullrequiredjeLineGranularitystringrequiredAvailable options: CATEGORY, PER_EMPLOYEE
createdAtstringrequiredupdatedAtstringrequiredW2_YEAR_ENDobject | nullShow child attributes
idstringrequiredconnectionIdstringrequiredinvoiceTypestringrequiredAvailable options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL
columnMappingsobjectrequiredsheetTabNamestring | nullrequiredheaderRowIndexintegerrequireddataStartRowIndexintegerrequiredemployeeNameColumnstring | nullrequiredcountryColumnstringrequiredcurrencyColumnstringrequiredtotalGrossColumnstringrequiredpayPeriodColumnstringrequiredpostingAmountSourcestringrequiredAvailable options: PAYROLL_ONLY, PAYROLL_PLUS_FEES
payrollUsdColumnstringrequiredinvoiceUsdColumnstringrequiredsocialSecurityCategoryByCountryobject | nullrequiredjeLineGranularitystringrequiredAvailable options: CATEGORY, PER_EMPLOYEE
createdAtstringrequiredupdatedAtstringrequiredHRIS_PAYROLLobject | nullShow child attributes
idstringrequiredconnectionIdstringrequiredinvoiceTypestringrequiredAvailable options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL
columnMappingsobjectrequiredsheetTabNamestring | nullrequiredheaderRowIndexintegerrequireddataStartRowIndexintegerrequiredemployeeNameColumnstring | nullrequiredcountryColumnstringrequiredcurrencyColumnstringrequiredtotalGrossColumnstringrequiredpayPeriodColumnstringrequiredpostingAmountSourcestringrequiredAvailable options: PAYROLL_ONLY, PAYROLL_PLUS_FEES
payrollUsdColumnstringrequiredinvoiceUsdColumnstringrequiredsocialSecurityCategoryByCountryobject | nullrequiredjeLineGranularitystringrequiredAvailable options: CATEGORY, PER_EMPLOYEE
createdAtstringrequiredupdatedAtstringrequired